## List Custom Hostnames `client.CustomHostnames.List(ctx, params) (*V4PagePaginationArray[CustomHostnameListResponse], error)` **get** `/zones/{zone_id}/custom_hostnames` List, search, sort, and filter all of your custom hostnames. ### Parameters - `params CustomHostnameListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `ID param.Field[string]` Query param: Hostname ID to match against. This ID was generated and returned during the initial custom_hostname creation. This parameter cannot be used with the 'hostname' parameter. - `CertificateAuthority param.Field[CustomHostnameListParamsCertificateAuthority]` Query param: Filter by the certificate authority that issued the SSL certificate. - `const CustomHostnameListParamsCertificateAuthorityGoogle CustomHostnameListParamsCertificateAuthority = "google"` - `const CustomHostnameListParamsCertificateAuthorityLetsEncrypt CustomHostnameListParamsCertificateAuthority = "lets_encrypt"` - `const CustomHostnameListParamsCertificateAuthoritySSLCom CustomHostnameListParamsCertificateAuthority = "ssl_com"` - `CustomOriginServer param.Field[string]` Query param: Filter by custom origin server name. - `Direction param.Field[CustomHostnameListParamsDirection]` Query param: Direction to order hostnames. - `const CustomHostnameListParamsDirectionAsc CustomHostnameListParamsDirection = "asc"` - `const CustomHostnameListParamsDirectionDesc CustomHostnameListParamsDirection = "desc"` - `Hostname param.Field[CustomHostnameListParamsHostname]` Query param - `Contain string` Filters hostnames by a substring match on the hostname value. This parameter cannot be used with the 'id' parameter. - `HostnameStatus param.Field[CustomHostnameListParamsHostnameStatus]` Query param: Filter by the hostname's activation status. - `const CustomHostnameListParamsHostnameStatusActive CustomHostnameListParamsHostnameStatus = "active"` - `const CustomHostnameListParamsHostnameStatusPending CustomHostnameListParamsHostnameStatus = "pending"` - `const CustomHostnameListParamsHostnameStatusActiveRedeploying CustomHostnameListParamsHostnameStatus = "active_redeploying"` - `const CustomHostnameListParamsHostnameStatusMoved CustomHostnameListParamsHostnameStatus = "moved"` - `const CustomHostnameListParamsHostnameStatusPendingDeletion CustomHostnameListParamsHostnameStatus = "pending_deletion"` - `const CustomHostnameListParamsHostnameStatusDeleted CustomHostnameListParamsHostnameStatus = "deleted"` - `const CustomHostnameListParamsHostnameStatusPendingBlocked CustomHostnameListParamsHostnameStatus = "pending_blocked"` - `const CustomHostnameListParamsHostnameStatusPendingMigration CustomHostnameListParamsHostnameStatus = "pending_migration"` - `const CustomHostnameListParamsHostnameStatusPendingProvisioned CustomHostnameListParamsHostnameStatus = "pending_provisioned"` - `const CustomHostnameListParamsHostnameStatusTestPending CustomHostnameListParamsHostnameStatus = "test_pending"` - `const CustomHostnameListParamsHostnameStatusTestActive CustomHostnameListParamsHostnameStatus = "test_active"` - `const CustomHostnameListParamsHostnameStatusTestActiveApex CustomHostnameListParamsHostnameStatus = "test_active_apex"` - `const CustomHostnameListParamsHostnameStatusTestBlocked CustomHostnameListParamsHostnameStatus = "test_blocked"` - `const CustomHostnameListParamsHostnameStatusTestFailed CustomHostnameListParamsHostnameStatus = "test_failed"` - `const CustomHostnameListParamsHostnameStatusProvisioned CustomHostnameListParamsHostnameStatus = "provisioned"` - `const CustomHostnameListParamsHostnameStatusBlocked CustomHostnameListParamsHostnameStatus = "blocked"` - `Order param.Field[CustomHostnameListParamsOrder]` Query param: Field to order hostnames by. - `const CustomHostnameListParamsOrderSSL CustomHostnameListParamsOrder = "ssl"` - `const CustomHostnameListParamsOrderSSLStatus CustomHostnameListParamsOrder = "ssl_status"` - `Page param.Field[float64]` Query param: Page number of paginated results. - `PerPage param.Field[float64]` Query param: Number of hostnames per page. - `SSL param.Field[CustomHostnameListParamsSSL]` Query param: Whether to filter hostnames based on if they have SSL enabled. - `const CustomHostnameListParamsSSL0 CustomHostnameListParamsSSL = 0` - `const CustomHostnameListParamsSSL1 CustomHostnameListParamsSSL = 1` - `SSLStatus param.Field[CustomHostnameListParamsSSLStatus]` Query param: Filter by SSL certificate status. - `const CustomHostnameListParamsSSLStatusInitializing CustomHostnameListParamsSSLStatus = "initializing"` - `const CustomHostnameListParamsSSLStatusPendingValidation CustomHostnameListParamsSSLStatus = "pending_validation"` - `const CustomHostnameListParamsSSLStatusDeleted CustomHostnameListParamsSSLStatus = "deleted"` - `const CustomHostnameListParamsSSLStatusPendingIssuance CustomHostnameListParamsSSLStatus = "pending_issuance"` - `const CustomHostnameListParamsSSLStatusPendingDeployment CustomHostnameListParamsSSLStatus = "pending_deployment"` - `const CustomHostnameListParamsSSLStatusPendingDeletion CustomHostnameListParamsSSLStatus = "pending_deletion"` - `const CustomHostnameListParamsSSLStatusPendingExpiration CustomHostnameListParamsSSLStatus = "pending_expiration"` - `const CustomHostnameListParamsSSLStatusExpired CustomHostnameListParamsSSLStatus = "expired"` - `const CustomHostnameListParamsSSLStatusActive CustomHostnameListParamsSSLStatus = "active"` - `const CustomHostnameListParamsSSLStatusInitializingTimedOut CustomHostnameListParamsSSLStatus = "initializing_timed_out"` - `const CustomHostnameListParamsSSLStatusValidationTimedOut CustomHostnameListParamsSSLStatus = "validation_timed_out"` - `const CustomHostnameListParamsSSLStatusIssuanceTimedOut CustomHostnameListParamsSSLStatus = "issuance_timed_out"` - `const CustomHostnameListParamsSSLStatusDeploymentTimedOut CustomHostnameListParamsSSLStatus = "deployment_timed_out"` - `const CustomHostnameListParamsSSLStatusDeletionTimedOut CustomHostnameListParamsSSLStatus = "deletion_timed_out"` - `const CustomHostnameListParamsSSLStatusPendingCleanup CustomHostnameListParamsSSLStatus = "pending_cleanup"` - `const CustomHostnameListParamsSSLStatusStagingDeployment CustomHostnameListParamsSSLStatus = "staging_deployment"` - `const CustomHostnameListParamsSSLStatusStagingActive CustomHostnameListParamsSSLStatus = "staging_active"` - `const CustomHostnameListParamsSSLStatusDeactivating CustomHostnameListParamsSSLStatus = "deactivating"` - `const CustomHostnameListParamsSSLStatusInactive CustomHostnameListParamsSSLStatus = "inactive"` - `const CustomHostnameListParamsSSLStatusBackupIssued CustomHostnameListParamsSSLStatus = "backup_issued"` - `const CustomHostnameListParamsSSLStatusHoldingDeployment CustomHostnameListParamsSSLStatus = "holding_deployment"` - `Wildcard param.Field[bool]` Query param: Filter by whether the custom hostname is a wildcard hostname. ### Returns - `type CustomHostnameListResponse struct{…}` - `ID string` Identifier. - `Hostname string` The custom hostname that will point to your hostname via CNAME. - `CreatedAt Time` This is the time the hostname was created. - `CustomMetadata map[string, string]` Unique key/value metadata for this hostname. These are per-hostname (customer) settings. - `CustomOriginServer string` a valid hostname that’s been added to your DNS zone as an A, AAAA, or CNAME record. - `CustomOriginSNI string` A hostname that will be sent to your custom origin server as SNI for TLS handshake. This can be a valid subdomain of the zone or custom origin server name or the string ':request_host_header:' which will cause the host header in the request to be used as SNI. Not configurable with default/fallback origin server. - `OwnershipVerification CustomHostnameListResponseOwnershipVerification` This is a record which can be placed to activate a hostname. - `Name string` DNS Name for record. - `Type CustomHostnameListResponseOwnershipVerificationType` DNS Record type. - `const CustomHostnameListResponseOwnershipVerificationTypeTXT CustomHostnameListResponseOwnershipVerificationType = "txt"` - `Value string` Content for the record. - `OwnershipVerificationHTTP CustomHostnameListResponseOwnershipVerificationHTTP` This presents the token to be served by the given http url to activate a hostname. - `HTTPBody string` Token to be served. - `HTTPURL string` The HTTP URL that will be checked during custom hostname verification and where the customer should host the token. - `SSL CustomHostnameListResponseSSL` - `ID string` Custom hostname SSL identifier tag. - `BundleMethod BundleMethod` A ubiquitous bundle has the highest probability of being verified everywhere, even by clients using outdated or unusual trust stores. An optimal bundle uses the shortest chain and newest intermediates. And the force bundle verifies the chain, but does not otherwise modify it. - `const BundleMethodUbiquitous BundleMethod = "ubiquitous"` - `const BundleMethodOptimal BundleMethod = "optimal"` - `const BundleMethodForce BundleMethod = "force"` - `CertificateAuthority CertificateCA` The Certificate Authority that will issue the certificate - `const CertificateCADigicert CertificateCA = "digicert"` - `const CertificateCAGoogle CertificateCA = "google"` - `const CertificateCALetsEncrypt CertificateCA = "lets_encrypt"` - `const CertificateCASSLCom CertificateCA = "ssl_com"` - `CustomCertificate string` If a custom uploaded certificate is used. - `CustomCsrID string` The identifier for the Custom CSR that was used. - `CustomKey string` The key for a custom uploaded certificate. - `DCVDelegationRecords []CustomHostnameListResponseSsldcvDelegationRecord` DCV Delegation records for domain validation. - `CNAME string` The CNAME record hostname for DCV delegation. - `CNAMETarget string` The CNAME record target value for DCV delegation. - `Emails []string` The set of email addresses that the certificate authority (CA) will use to complete domain validation. - `HTTPBody string` The content that the certificate authority (CA) will expect to find at the http_url during the domain validation. - `HTTPURL string` The url that will be checked during domain validation. - `Status string` Status of the validation record. - `TXTName string` The hostname that the certificate authority (CA) will check for a TXT record during domain validation . - `TXTValue string` The TXT record that the certificate authority (CA) will check during domain validation. - `ExpiresOn Time` The time the custom certificate expires on. - `Hosts []string` A list of Hostnames on a custom uploaded certificate. - `Issuer string` The issuer on a custom uploaded certificate. - `Method DCVMethod` Domain control validation (DCV) method used for this hostname. - `const DCVMethodHTTP DCVMethod = "http"` - `const DCVMethodTXT DCVMethod = "txt"` - `const DCVMethodEmail DCVMethod = "email"` - `SerialNumber string` The serial number on a custom uploaded certificate. - `Settings CustomHostnameListResponseSSLSettings` - `Ciphers []string` An allowlist of ciphers for TLS termination. These ciphers must be in the BoringSSL format. - `EarlyHints CustomHostnameListResponseSSLSettingsEarlyHints` Whether or not Early Hints is enabled. - `const CustomHostnameListResponseSSLSettingsEarlyHintsOn CustomHostnameListResponseSSLSettingsEarlyHints = "on"` - `const CustomHostnameListResponseSSLSettingsEarlyHintsOff CustomHostnameListResponseSSLSettingsEarlyHints = "off"` - `HTTP2 CustomHostnameListResponseSSLSettingsHTTP2` Whether or not HTTP2 is enabled. - `const CustomHostnameListResponseSSLSettingsHTTP2On CustomHostnameListResponseSSLSettingsHTTP2 = "on"` - `const CustomHostnameListResponseSSLSettingsHTTP2Off CustomHostnameListResponseSSLSettingsHTTP2 = "off"` - `MinTLSVersion CustomHostnameListResponseSSLSettingsMinTLSVersion` The minimum TLS version supported. - `const CustomHostnameListResponseSSLSettingsMinTLSVersion1_0 CustomHostnameListResponseSSLSettingsMinTLSVersion = "1.0"` - `const CustomHostnameListResponseSSLSettingsMinTLSVersion1_1 CustomHostnameListResponseSSLSettingsMinTLSVersion = "1.1"` - `const CustomHostnameListResponseSSLSettingsMinTLSVersion1_2 CustomHostnameListResponseSSLSettingsMinTLSVersion = "1.2"` - `const CustomHostnameListResponseSSLSettingsMinTLSVersion1_3 CustomHostnameListResponseSSLSettingsMinTLSVersion = "1.3"` - `TLS1_3 CustomHostnameListResponseSSLSettingsTLS1_3` Whether or not TLS 1.3 is enabled. - `const CustomHostnameListResponseSSLSettingsTLS1_3On CustomHostnameListResponseSSLSettingsTLS1_3 = "on"` - `const CustomHostnameListResponseSSLSettingsTLS1_3Off CustomHostnameListResponseSSLSettingsTLS1_3 = "off"` - `Signature string` The signature on a custom uploaded certificate. - `Status CustomHostnameListResponseSSLStatus` Status of the hostname's SSL certificates. - `const CustomHostnameListResponseSSLStatusInitializing CustomHostnameListResponseSSLStatus = "initializing"` - `const CustomHostnameListResponseSSLStatusPendingValidation CustomHostnameListResponseSSLStatus = "pending_validation"` - `const CustomHostnameListResponseSSLStatusDeleted CustomHostnameListResponseSSLStatus = "deleted"` - `const CustomHostnameListResponseSSLStatusPendingIssuance CustomHostnameListResponseSSLStatus = "pending_issuance"` - `const CustomHostnameListResponseSSLStatusPendingDeployment CustomHostnameListResponseSSLStatus = "pending_deployment"` - `const CustomHostnameListResponseSSLStatusPendingDeletion CustomHostnameListResponseSSLStatus = "pending_deletion"` - `const CustomHostnameListResponseSSLStatusPendingExpiration CustomHostnameListResponseSSLStatus = "pending_expiration"` - `const CustomHostnameListResponseSSLStatusExpired CustomHostnameListResponseSSLStatus = "expired"` - `const CustomHostnameListResponseSSLStatusActive CustomHostnameListResponseSSLStatus = "active"` - `const CustomHostnameListResponseSSLStatusInitializingTimedOut CustomHostnameListResponseSSLStatus = "initializing_timed_out"` - `const CustomHostnameListResponseSSLStatusValidationTimedOut CustomHostnameListResponseSSLStatus = "validation_timed_out"` - `const CustomHostnameListResponseSSLStatusIssuanceTimedOut CustomHostnameListResponseSSLStatus = "issuance_timed_out"` - `const CustomHostnameListResponseSSLStatusDeploymentTimedOut CustomHostnameListResponseSSLStatus = "deployment_timed_out"` - `const CustomHostnameListResponseSSLStatusDeletionTimedOut CustomHostnameListResponseSSLStatus = "deletion_timed_out"` - `const CustomHostnameListResponseSSLStatusPendingCleanup CustomHostnameListResponseSSLStatus = "pending_cleanup"` - `const CustomHostnameListResponseSSLStatusStagingDeployment CustomHostnameListResponseSSLStatus = "staging_deployment"` - `const CustomHostnameListResponseSSLStatusStagingActive CustomHostnameListResponseSSLStatus = "staging_active"` - `const CustomHostnameListResponseSSLStatusDeactivating CustomHostnameListResponseSSLStatus = "deactivating"` - `const CustomHostnameListResponseSSLStatusInactive CustomHostnameListResponseSSLStatus = "inactive"` - `const CustomHostnameListResponseSSLStatusBackupIssued CustomHostnameListResponseSSLStatus = "backup_issued"` - `const CustomHostnameListResponseSSLStatusHoldingDeployment CustomHostnameListResponseSSLStatus = "holding_deployment"` - `Type DomainValidationType` Level of validation to be used for this hostname. Domain validation (dv) must be used. - `const DomainValidationTypeDv DomainValidationType = "dv"` - `UploadedOn Time` The time the custom certificate was uploaded. - `ValidationErrors []CustomHostnameListResponseSSLValidationError` Domain validation errors that have been received by the certificate authority (CA). - `Message string` A domain validation error. - `ValidationRecords []CustomHostnameListResponseSSLValidationRecord` - `CNAME string` The CNAME record hostname for DCV delegation. - `CNAMETarget string` The CNAME record target value for DCV delegation. - `Emails []string` The set of email addresses that the certificate authority (CA) will use to complete domain validation. - `HTTPBody string` The content that the certificate authority (CA) will expect to find at the http_url during the domain validation. - `HTTPURL string` The url that will be checked during domain validation. - `Status string` Status of the validation record. - `TXTName string` The hostname that the certificate authority (CA) will check for a TXT record during domain validation . - `TXTValue string` The TXT record that the certificate authority (CA) will check during domain validation. - `Wildcard bool` Indicates whether the certificate covers a wildcard. - `Status CustomHostnameListResponseStatus` Status of the hostname's activation. - `const CustomHostnameListResponseStatusActive CustomHostnameListResponseStatus = "active"` - `const CustomHostnameListResponseStatusPending CustomHostnameListResponseStatus = "pending"` - `const CustomHostnameListResponseStatusActiveRedeploying CustomHostnameListResponseStatus = "active_redeploying"` - `const CustomHostnameListResponseStatusMoved CustomHostnameListResponseStatus = "moved"` - `const CustomHostnameListResponseStatusPendingDeletion CustomHostnameListResponseStatus = "pending_deletion"` - `const CustomHostnameListResponseStatusDeleted CustomHostnameListResponseStatus = "deleted"` - `const CustomHostnameListResponseStatusPendingBlocked CustomHostnameListResponseStatus = "pending_blocked"` - `const CustomHostnameListResponseStatusPendingMigration CustomHostnameListResponseStatus = "pending_migration"` - `const CustomHostnameListResponseStatusPendingProvisioned CustomHostnameListResponseStatus = "pending_provisioned"` - `const CustomHostnameListResponseStatusTestPending CustomHostnameListResponseStatus = "test_pending"` - `const CustomHostnameListResponseStatusTestActive CustomHostnameListResponseStatus = "test_active"` - `const CustomHostnameListResponseStatusTestActiveApex CustomHostnameListResponseStatus = "test_active_apex"` - `const CustomHostnameListResponseStatusTestBlocked CustomHostnameListResponseStatus = "test_blocked"` - `const CustomHostnameListResponseStatusTestFailed CustomHostnameListResponseStatus = "test_failed"` - `const CustomHostnameListResponseStatusProvisioned CustomHostnameListResponseStatus = "provisioned"` - `const CustomHostnameListResponseStatusBlocked CustomHostnameListResponseStatus = "blocked"` - `VerificationErrors []string` These are errors that were encountered while trying to activate a hostname. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/custom_hostnames" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.CustomHostnames.List(context.TODO(), custom_hostnames.CustomHostnameListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "hostname": "app.example.com", "created_at": "2020-02-06T18:11:23.531995Z", "custom_metadata": { "foo": "string" }, "custom_origin_server": "origin2.example.com", "custom_origin_sni": "sni.example.com", "ownership_verification": { "name": "_cf-custom-hostname.app.example.com", "type": "txt", "value": "5cc07c04-ea62-4a5a-95f0-419334a875a4" }, "ownership_verification_http": { "http_body": "5cc07c04-ea62-4a5a-95f0-419334a875a4", "http_url": "http://custom.test.com/.well-known/cf-custom-hostname-challenge/0d89c70d-ad9f-4843-b99f-6cc0252067e9" }, "ssl": { "id": "0d89c70d-ad9f-4843-b99f-6cc0252067e9", "bundle_method": "ubiquitous", "certificate_authority": "google", "custom_certificate": "-----BEGIN CERTIFICATE-----\nMIIFJDCCBAygAwIBAgIQD0ifmj/Yi5NP/2gdUySbfzANBgkqhkiG9w0BAQsFADBN\nMQswCQYDVQQGEwJVUzEVMBMGA1UEChMMRGlnaUNlcnQgSW5jMScwJQYDVQQDEx5E...SzSHfXp5lnu/3V08I72q1QNzOCgY1XeL4GKVcj4or6cT6tX6oJH7ePPmfrBfqI/O\nOeH8gMJ+FuwtXYEPa4hBf38M5eU5xWG7\n-----END CERTIFICATE-----\n", "custom_csr_id": "7b163417-1d2b-4c84-a38a-2fb7a0cd7752", "custom_key": "-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAwQHoetcl9+5ikGzV6cMzWtWPJHqXT3wpbEkRU9Yz7lgvddmG\ndtcGbg/1CGZu0jJGkMoppoUo4c3dts3iwqRYmBikUP77wwY2QGmDZw2FvkJCJlKn\nabIRuGvBKwzESIXgKk2016aTP6/dAjEHyo6SeoK8lkIySUvK0fyOVlsiEsCmOpid\ntnKX/a+50GjB79CJH4ER2lLVZnhePFR/zUOyPxZQQ4naHf7yu/b5jhO0f8fwt+py\nFxIXjbEIdZliWRkRMtzrHOJIhrmJ2A1J7iOrirbbwillwjjNVUWPf3IJ3M12S9pE\newooaeO2izNTERcG9HzAacbVRn2Y2SWIyT/18QIDAQABAoIBACbhTYXBZYKmYPCb\nHBR1IBlCQA2nLGf0qRuJNJZg5iEzXows/6tc8YymZkQE7nolapWsQ+upk2y5Xdp/\naxiuprIs9JzkYK8Ox0r+dlwCG1kSW+UAbX0bQ/qUqlsTvU6muVuMP8vZYHxJ3wmb\n+ufRBKztPTQ/rYWaYQcgC0RWI20HTFBMxlTAyNxYNWzX7RKFkGVVyB9RsAtmcc8g\n+j4OdosbfNoJPS0HeIfNpAznDfHKdxDk2Yc1tV6RHBrC1ynyLE9+TaflIAdo2MVv\nKLMLq51GqYKtgJFIlBRPQqKoyXdz3fGvXrTkf/WY9QNq0J1Vk5ERePZ54mN8iZB7\n9lwy/AkCgYEA6FXzosxswaJ2wQLeoYc7ceaweX/SwTvxHgXzRyJIIT0eJWgx13Wo\n/WA3Iziimsjf6qE+SI/8laxPp2A86VMaIt3Z3mJN/CqSVGw8LK2AQst+OwdPyDMu\niacE8lj/IFGC8mwNUAb9CzGU3JpU4PxxGFjS/eMtGeRXCWkK4NE+G08CgYEA1Kp9\nN2JrVlqUz+gAX+LPmE9OEMAS9WQSQsfCHGogIFDGGcNf7+uwBM7GAaSJIP01zcoe\nVAgWdzXCv3FLhsaZoJ6RyLOLay5phbu1iaTr4UNYm5WtYTzMzqh8l1+MFFDl9xDB\nvULuCIIrglM5MeS/qnSg1uMoH2oVPj9TVst/ir8CgYEAxrI7Ws9Zc4Bt70N1As+U\nlySjaEVZCMkqvHJ6TCuVZFfQoE0r0whdLdRLU2PsLFP+q7qaeZQqgBaNSKeVcDYR\n9B+nY/jOmQoPewPVsp/vQTCnE/R81spu0mp0YI6cIheT1Z9zAy322svcc43JaWB7\nmEbeqyLOP4Z4qSOcmghZBSECgYACvR9Xs0DGn+wCsW4vze/2ei77MD4OQvepPIFX\ndFZtlBy5ADcgE9z0cuVB6CiL8DbdK5kwY9pGNr8HUCI03iHkW6Zs+0L0YmihfEVe\nPG19PSzK9CaDdhD9KFZSbLyVFmWfxOt50H7YRTTiPMgjyFpfi5j2q348yVT0tEQS\nfhRqaQKBgAcWPokmJ7EbYQGeMbS7HC8eWO/RyamlnSffdCdSc7ue3zdVJxpAkQ8W\nqu80pEIF6raIQfAf8MXiiZ7auFOSnHQTXUbhCpvDLKi0Mwq3G8Pl07l+2s6dQG6T\nlv6XTQaMyf6n1yjzL+fzDrH3qXMxHMO/b13EePXpDMpY7HQpoLDi\n-----END RSA PRIVATE KEY-----\n", "dcv_delegation_records": [ { "cname": "_acme-challenge.example.com", "cname_target": "dcv.cloudflare.com", "emails": [ "administrator@example.com", "webmaster@example.com" ], "http_body": "ca3-574923932a82475cb8592200f1a2a23d", "http_url": "http://app.example.com/.well-known/pki-validation/ca3-da12a1c25e7b48cf80408c6c1763b8a2.txt", "status": "pending", "txt_name": "_acme-challenge.app.example.com", "txt_value": "810b7d5f01154524b961ba0cd578acc2" } ], "expires_on": "2021-02-06T18:11:23.531995Z", "hosts": [ "app.example.com", "*.app.example.com" ], "issuer": "DigiCertInc", "method": "http", "serial_number": "6743787633689793699141714808227354901", "settings": { "ciphers": [ "ECDHE-RSA-AES128-GCM-SHA256", "AES128-SHA" ], "early_hints": "on", "http2": "on", "min_tls_version": "1.2", "tls_1_3": "on" }, "signature": "SHA256WithRSA", "status": "pending_validation", "type": "dv", "uploaded_on": "2020-02-06T18:11:23.531995Z", "validation_errors": [ { "message": "SERVFAIL looking up CAA for app.example.com" } ], "validation_records": [ { "cname": "_acme-challenge.example.com", "cname_target": "dcv.cloudflare.com", "emails": [ "administrator@example.com", "webmaster@example.com" ], "http_body": "ca3-574923932a82475cb8592200f1a2a23d", "http_url": "http://app.example.com/.well-known/pki-validation/ca3-da12a1c25e7b48cf80408c6c1763b8a2.txt", "status": "pending", "txt_name": "_acme-challenge.app.example.com", "txt_value": "810b7d5f01154524b961ba0cd578acc2" } ], "wildcard": false }, "status": "pending", "verification_errors": [ "None of the A or AAAA records are owned by this account and the pre-generated ownership verification token was not found." ] } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```